All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.calculateditems
Class NodeInfo

    com.sas.dataselectors.calculateditems.NodeInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

Direct Known Subclasses:
  LevelNodeInfo, MemberNodeInfo

    public class NodeInfo

See Also:
  Serialized Form

Field Summary
`protected boolean` | `expanded`
`protected boolean` | `initialized`
`protected java.lang.String` | `text`
`protected java.lang.String` | `uniqueName`

Constructor Summary
`NodeInfo()` Default constructor.

Method Summary
`java.util.Enumeration` | `breadthFirstEnumeration()`
`java.util.Enumeration` | `children()`
`java.util.Enumeration` | `depthFirstEnumeration()`
`javax.swing.tree.TreeNode` | `getChildAfter(javax.swing.tree.TreeNode aChild)`
`javax.swing.tree.TreeNode` | `getChildAt(int childIndex)`
`javax.swing.tree.TreeNode` | `getChildBefore(javax.swing.tree.TreeNode aChild)`
`javax.swing.tree.TreeNode` | `getFirstChild()`
`javax.swing.tree.DefaultMutableTreeNode` | `getFirstLeaf()`
`int` | `getIndex(javax.swing.tree.TreeNode node)`
`javax.swing.tree.TreeNode` | `getLastChild()`
`javax.swing.tree.DefaultMutableTreeNode` | `getLastLeaf()`
`int` | `getLeafCount()`
`javax.swing.tree.DefaultMutableTreeNode` | `getNextLeaf()`
`javax.swing.tree.DefaultMutableTreeNode` | `getNextNode()`
`javax.swing.tree.DefaultMutableTreeNode` | `getPreviousLeaf()`
`javax.swing.tree.DefaultMutableTreeNode` | `getPreviousNode()`
`java.lang.String` | `getText()` Returns the text label to displayed for this node.
`java.lang.String` | `getUniqueName()` Returns the unique name that identifies this node.
`boolean` | `isExpanded()` Returns the boolean indicating whether this node should be presented in an expanded state.
`boolean` | `isLeaf()`
`boolean` | `isNodeChild(javax.swing.tree.TreeNode aNode)`
`protected boolean` | `populateChildren()` Retrieves child information.
`java.util.Enumeration` | `postorderEnumeration()`
`java.util.Enumeration` | `preorderEnumeration()`
`void` | `remove(int index)`
`void` | `remove(javax.swing.tree.MutableTreeNode node)`
`void` | `removeAllChildren()`
`void` | `removeFromParent()`
`void` | `setExpanded(boolean expanded)` Sets the boolean indicating whether this node should be presented in an expanded state.
`void` | `setParent(javax.swing.tree.MutableTreeNode node)`
`java.lang.String` | `toString()`

Field Detail

### text

    protected java.lang.String text

### uniqueName

    protected java.lang.String uniqueName

### expanded

    protected boolean expanded

### initialized

    protected boolean initialized

Constructor Detail

### NodeInfo

    public NodeInfo()

  Default constructor.

Method Detail

### getText

    public java.lang.String getText()

  Returns the text label to displayed for this node.

  Returns:
    the text label to displayed.

### getUniqueName

    public java.lang.String getUniqueName()

  Returns the unique name that identifies this node.

  Returns:
    the unique name that identifies this node.

### isExpanded

    public boolean isExpanded()

  Returns the boolean indicating whether this node should be presented in an expanded state.

  Returns:
    the boolean indicating whether this node should be presented in an expanded state.

### setExpanded

    public void setExpanded(boolean expanded)

  Sets the boolean indicating whether this node should be presented in an expanded state.

  Parameters:
    `expanded` - the boolean indicating whether this node should be presented in an expanded state.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `javax.swing.tree.DefaultMutableTreeNode`

### populateChildren

    protected boolean populateChildren()

  Retrieves child information. Retrieval of all information related to the children of this node is delayed until it is needed by one of the other methods in this class.

  Returns:
    true if the initialization routine completed successfully

### children

    public java.util.Enumeration children()

  Specified by:
    `children` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `children` in class `javax.swing.tree.DefaultMutableTreeNode`

### getChildAt

    public javax.swing.tree.TreeNode getChildAt(int childIndex)

  Specified by:
    `getChildAt` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getChildAt` in class `javax.swing.tree.DefaultMutableTreeNode`

### getIndex

    public int getIndex(javax.swing.tree.TreeNode node)

  Specified by:
    `getIndex` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getIndex` in class `javax.swing.tree.DefaultMutableTreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `isLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### remove

    public void remove(int index)

  Specified by:
    `remove` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `remove` in class `javax.swing.tree.DefaultMutableTreeNode`

### remove

    public void remove(javax.swing.tree.MutableTreeNode node)

  Specified by:
    `remove` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `remove` in class `javax.swing.tree.DefaultMutableTreeNode`

### removeFromParent

    public void removeFromParent()

  Specified by:
    `removeFromParent` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `removeFromParent` in class `javax.swing.tree.DefaultMutableTreeNode`

### setParent

    public void setParent(javax.swing.tree.MutableTreeNode node)

  Specified by:
    `setParent` in interface `javax.swing.tree.MutableTreeNode`
  Overrides:
    `setParent` in class `javax.swing.tree.DefaultMutableTreeNode`

### breadthFirstEnumeration

    public java.util.Enumeration breadthFirstEnumeration()

  Overrides:
    `breadthFirstEnumeration` in class `javax.swing.tree.DefaultMutableTreeNode`

### depthFirstEnumeration

    public java.util.Enumeration depthFirstEnumeration()

  Overrides:
    `depthFirstEnumeration` in class `javax.swing.tree.DefaultMutableTreeNode`

### getChildAfter

    public javax.swing.tree.TreeNode getChildAfter(javax.swing.tree.TreeNode aChild)

  Overrides:
    `getChildAfter` in class `javax.swing.tree.DefaultMutableTreeNode`

### getChildBefore

    public javax.swing.tree.TreeNode getChildBefore(javax.swing.tree.TreeNode aChild)

  Overrides:
    `getChildBefore` in class `javax.swing.tree.DefaultMutableTreeNode`

### getFirstChild

    public javax.swing.tree.TreeNode getFirstChild()

  Overrides:
    `getFirstChild` in class `javax.swing.tree.DefaultMutableTreeNode`

### getFirstLeaf

    public javax.swing.tree.DefaultMutableTreeNode getFirstLeaf()

  Overrides:
    `getFirstLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getLastChild

    public javax.swing.tree.TreeNode getLastChild()

  Overrides:
    `getLastChild` in class `javax.swing.tree.DefaultMutableTreeNode`

### getLastLeaf

    public javax.swing.tree.DefaultMutableTreeNode getLastLeaf()

  Overrides:
    `getLastLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getLeafCount

    public int getLeafCount()

  Overrides:
    `getLeafCount` in class `javax.swing.tree.DefaultMutableTreeNode`

### getNextLeaf

    public javax.swing.tree.DefaultMutableTreeNode getNextLeaf()

  Overrides:
    `getNextLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getNextNode

    public javax.swing.tree.DefaultMutableTreeNode getNextNode()

  Overrides:
    `getNextNode` in class `javax.swing.tree.DefaultMutableTreeNode`

### getPreviousLeaf

    public javax.swing.tree.DefaultMutableTreeNode getPreviousLeaf()

  Overrides:
    `getPreviousLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`

### getPreviousNode

    public javax.swing.tree.DefaultMutableTreeNode getPreviousNode()

  Overrides:
    `getPreviousNode` in class `javax.swing.tree.DefaultMutableTreeNode`

### isNodeChild

    public boolean isNodeChild(javax.swing.tree.TreeNode aNode)

  Overrides:
    `isNodeChild` in class `javax.swing.tree.DefaultMutableTreeNode`

### postorderEnumeration

    public java.util.Enumeration postorderEnumeration()

  Overrides:
    `postorderEnumeration` in class `javax.swing.tree.DefaultMutableTreeNode`

### preorderEnumeration

    public java.util.Enumeration preorderEnumeration()

  Overrides:
    `preorderEnumeration` in class `javax.swing.tree.DefaultMutableTreeNode`

### removeAllChildren

    public void removeAllChildren()

  Overrides:
    `removeAllChildren` in class `javax.swing.tree.DefaultMutableTreeNode`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.